Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.dialogs
Class FileEditorMappingLabelProvider

    java.lang.Object
      org.eclipse.jface.viewers.LabelProvider
          org.eclipse.ui.dialogs.FileEditorMappingLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

public class FileEditorMappingLabelProvider
extends LabelProvider
implements ITableLabelProvider

A label provider for displaying of `IFileEditorMapping` objects in viewers.

This class has a singleton instance, `FileEditorMappingLabelProvider.INSTANCE`, which can be used any place this kind of label provider is needed.

The singleton instance hangs on to images, which get freed up when `dispose` is called.

See Also:
  `ILabelProvider`

Field Summary
`static FileEditorMappingLabelProvider` | `INSTANCE` Singleton instance accessor.

Method Summary
`void` | `dispose()` Disposes of this label provider.
`Image` | `getColumnImage(Object element, int row)` The `ResourceTypeEditorMappingLabelProvider` implementation of this `ITableLabelProvider` method creates and returns an new image.
`String` | `getColumnText(Object element, int row)` Returns the label text for the given column of the given element.
`Image` | `getImage(Object element)` The `ResourceTypeEditorMappingLabelProvider` implementation of this `ILabelProvider` method creates and returns an new image.
`String` | `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Field Detail

### INSTANCE

    public static final FileEditorMappingLabelProvider INSTANCE

  Singleton instance accessor.

Method Detail

### dispose

    public void dispose()

  Description copied from interface: `IBaseLabelProvider`
  Disposes of this label provider. When a label provider is attached to a viewer, the viewer will automatically call this method when the viewer is being closed. When label providers are used outside of the context of a viewer, it is the client's responsibility to ensure that this method is called when the provider is no longer needed.

  Specified by:
    `dispose` in interface `IBaseLabelProvider`
  Overrides:
    `dispose` in class `LabelProvider`

### getColumnImage

    public Image getColumnImage(Object element,
                                int row)

  The `ResourceTypeEditorMappingLabelProvider` implementation of this `ITableLabelProvider` method creates and returns an new image. The image is remembered internally and will be deallocated by `dispose`.

  Specified by:
    `getColumnImage` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `row` - the zero-based index of the column in which the label appears

### getColumnText

    public String getColumnText(Object element,
                                int row)

  Description copied from interface: `ITableLabelProvider`
  Returns the label text for the given column of the given element.

  Specified by:
    `getColumnText` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `row` - the zero-based index of the column in which the label appears

### getImage

    public Image getImage(Object element)

  The `ResourceTypeEditorMappingLabelProvider` implementation of this `ILabelProvider` method creates and returns an new image. The image is remembered internally and will be deallocated by `dispose`.

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `LabelProvider`

### getText

    public String getText(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.